/*--------------------------------------------------------------------------
Program     : utl/filesys/dir-tools-test.p

Description : 

PARAMETERS  :
--------Revision History---------------------------------------------------

	Last change: TSI 12/9/2004 1:27:46 PM
--------------------------------------------------------------------------*/

/****************************************************************************/
/* External Files */

{utl/filesys/dir-tools.tt   }

/****************************************************************************/
/* To compile all the files in two directory tree                   */

RUN utl/filesys/dir-tools.p (   "/dir/tree1,/dir/tree2",
                                "",

                                OUTPUT TABLE tt-dir-file,

                                "compile,"      +
                                "compile-only," +
                                "verbose,"      +
                                "dir-tree").

/****************************************************************************/
/* To copy multiple directory trees into a target base directory    */

RUN utl/filesys/dir-tools.p (   "/dir/tree1,/dir/tree2,/dir/tgt",

                                "",

                                OUTPUT TABLE tt-dir-file,

                                "dir-tree," +
                                "copy").
/****************************************************************************/
/* To get all the "pdf" files under multiple directory trees:       */

RUN utl/filesys/dir-tools.p (   "/dir/tree1,/dir/tree2",

                                "*~.pdf",

                                OUTPUT TABLE tt-dir-file,

                                "dir-tree," + 
                                "files-only").

/****************************************************************************/
/* To get all the "pdf" files in a single directory:                */

RUN utl/filesys/dir-tools.p (   "/dir/tree1",

                                "*~.pdf",

                                OUTPUT TABLE tt-dir-file,

                                "files-only").
                            

